#include <bits/stdc++.h>
using namespace std;
string x,y,s;
int main(){
    cin >> x >> y;
    if(x.size()<y.size()) swap(x,y);
    while(y.size()!=x.size()){
        y='/'+y;
    }
    while(x.size()){
        if(x[0]>y[0]){
            s+=x[0];
        }
        else if(x[0]<y[0]){
            s+=y[0];
        }
        else {s+=x[0];s+=x[0];}
        x.erase(0,1);
        y.erase(0,1);
    }
    cout << s << endl;
    return 0;
}